#!/bin/sh
set -e

# Set the whole project in read-only mode
chmod -R a=rX /www/

# Per project init script
# SpriteCoder
if [ -d /www/SpriteCoder ] ; then
    mkdir -p /www/SpriteCoder/upload
    chmod -R a=rXw /www/SpriteCoder/upload
fi
# wiki
if [ -d /www/wiki ] ; then
    mkdir -p /www/wiki/fr/cache/tmp
    chmod -R a=rXw /www/wiki/fr/cache
    mkdir -p /www/wiki/en/cache/tmp
    chmod -R a=rXw /www/wiki/en/cache
    mkdir -p /www/wiki/fr/images
    chmod -R a=rXw /www/wiki/fr/images
    mkdir -p /www/wiki/en/images
    chmod -R a=rXw /www/wiki/en/images
fi

exec docker-php-entrypoint "$@"